Bug 142 - WINS: Win ME host announcements crashes all Win ME clients
WINS: Win ME host announcements crashes all Win ME clients
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.0preX
All Windows ME
: P4 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-01 17:18 UTC by John H Terpstra
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2003-06-01 17:18:17 UTC
Reproducible environment:
-------------------------
nmbd runs WINS

All clients on Network Windows MR (only needs two to prove problem)

First client starts up fine.
Second client to start up crashes first Windows ME machine that was running
fine.In most cases the blue screen is recoverable by hitting Esc.

Second symptom:
---------------
On shutdown the first machine will NOT shutdown and has browsing problems:
ie: long delays, sometimes can not find other hosts

Work-aournd is to diconnect network cable on all Win ME machines that are
running while any Win ME is starting up. When it has started, reconnect all
cables. Not a usefult work-around, but it gets everyone on air.

Problem with this:
No Win ME clients will shutdown cleanly.
Comment 1 John H Terpstra 2003-06-01 17:19:43 UTC
Note: Applies to CVS at GMT 18:00 2003-5-31
Comment 2 Gerald (Jerry) Carter 2003-06-06 12:28:51 UTC
this makes no sense.  Need much more information.  
host announcements have nothing to do with wins.
These are collected by the local master browser.
Comment 3 John H Terpstra 2003-06-14 23:50:37 UTC
Jerry, we should discuss this one.

I am well aware that host announcements are orthogonal to WINS.

Fact is that 98 and Me both exhibit the same symptoms of BSOD when a new 9x/Me
client logs onto the network. Both exhibit dirty shutdowns.

The problem happens only when all clients are using WINS. In the absence of use
of WINS I have not seen this same problem, but that does not mean it that this
will not happen without use of WINS.

I have been able to reproduce the symptoms on three different networks - we
clearly have a stability issue with Win 9x/Me.

I will try to capture more info on this over the next week.
Comment 4 John H Terpstra 2003-07-02 21:59:07 UTC
As of Beta2 this is no longer crashing Windows Me - Problem Resolved.
Comment 5 Gerald (Jerry) Carter 2005-02-07 07:57:29 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:17:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.